<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [(constructor)](./puppeteer.frame._constructor_.md)

## Frame.(constructor)

Constructs a new instance of the `Frame` class

<b>Signature:</b>

```typescript
constructor(frameManager: FrameManager, client: CDPSession, parentFrame: Frame | null, frameId: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  frameManager | [FrameManager](./puppeteer.framemanager.md) |  |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |
|  parentFrame | [Frame](./puppeteer.frame.md) \| null |  |
|  frameId | string |  |

